Skip to main content
`Ctrl`+`K`

# DMGetLabelByNum

Return the nth label on a `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelByNum(DM dm, PetscInt n, DMLabel *label)

Not Collective

## Input Parameters

- dm - The `DM` object

- n - the label number

## Output Parameter

- label - the label

## See Also

DM Basics, `DM`, `DMLabel`, `DMAddLabel()`, `DMGetLabelValue()`, `DMSetLabelValue()`, `DMGetStratumIS()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages